/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.resource;

import com.redhat.rhevm.api.model.Network;
import com.redhat.rhevm.api.resource.AssignedNetworkResource;

public class PowerShellClusterNetworkResource implements AssignedNetworkResource {

    private String id;
    private PowerShellClusterNetworksResource parent;

    public PowerShellClusterNetworkResource(String id, PowerShellClusterNetworksResource parent) {
        this.id = id;
        this.parent = parent;
    }

    @Override
    public Network get() {
        return parent.addLinks(parent.getClusterNetwork(id));
    }

    @Override
    public Network update(Network resource) {
        return null;
    }
}
