/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.resource;

import com.redhat.rhevm.api.model.Group;
import com.redhat.rhevm.api.powershell.util.PowerShellUtils;
import com.redhat.rhevm.api.resource.DomainGroupResource;

public class PowerShellDomainGroupResource implements DomainGroupResource {

    private PowerShellDomainGroupsResource parent;
    private String id;

    public PowerShellDomainGroupResource(PowerShellDomainGroupsResource parent, String id) {
        this.parent = parent;
        this.id = id;
    }

    public Group get() {
        StringBuilder buf = new StringBuilder();

        buf.append("select-user -ad ");
        buf.append("-domain " + PowerShellUtils.escape(parent.getDomainName()));
        buf.append(" | ? ");
        buf.append("{ $_.userid -eq " + PowerShellUtils.escape(id) + " }");

        return parent.addLinks(parent.runAndParseSingle(buf.toString()));
    }
}
